## org.apache.mahout.ga.watchmaker.cd
Class CDCrossover

    java.lang.Object
      org.uncommons.watchmaker.framework.operators.AbstractCrossover<CDRule>
          org.apache.mahout.ga.watchmaker.cd.CDCrossover

All Implemented Interfaces:
  org.uncommons.watchmaker.framework.EvolutionaryOperator<CDRule>

    public class CDCrossover

extends org.uncommons.watchmaker.framework.operators.AbstractCrossover<CDRule>

Crossover operator.

Constructor Summary
`CDCrossover(int crossoverPoints)`
`CDCrossover(int crossoverPoints, org.uncommons.maths.random.Probability crossoverProbability)`

Method Summary
`protected List<CDRule>` `mate(CDRule parent1, CDRule parent2, int numberOfCrossoverPoints, Random rng)`

Methods inherited from class org.uncommons.watchmaker.framework.operators.AbstractCrossover
`apply`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDCrossover

    public CDCrossover(int crossoverPoints)

### CDCrossover

    public CDCrossover(int crossoverPoints,
                       org.uncommons.maths.random.Probability crossoverProbability)

Method Detail

### mate

    protected List<CDRule> mate(CDRule parent1,
                                CDRule parent2,
                                int numberOfCrossoverPoints,
                                Random rng)

  Specified by:
    `mate` in class `org.uncommons.watchmaker.framework.operators.AbstractCrossover<CDRule>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.